import { post } from "@/request/axios.js";

export const getInventoryManagementList = (params) =>
  post("/listmanager/list", params); // 清单管理列表
export const getInventoryManagementView = (params) =>
  post("/listmanager/goEdit", params); // 清单管理查看
export const setInventoryManagementDisable = (params) =>
  post("/listmanager/delete", params); // 清单管理禁用
export const setInventoryManagementEnable = (params) =>
  post("/listmanager/enable", params); // 清单管理启用
export const setInventoryManagementBatchDeleteTemporary = (params) =>
  post("/listmanager/deleteAlltemp", params); // 清单管理批量删除临时清单
export const setInventoryManagementBatchDelete = (params) =>
  post("/listmanager/deleteAll", params); // 清单管理批量删除
export const getInventoryManagementRouteView = (params) =>
  post("/listmanager/getRoute", params); // 清单管理查看巡检路线
export const setInventoryManagementRoute = (params) =>
  post("/listmanager/setRout", params); // 清单管理巡检路线提交
export const setInventoryManagementInsuranceCoverageList = (params) =>
  post("/labelFactory/termList", params); // 清单管理设置包保责任类型选择列表
export const setInventoryManagementInsuranceCoverageSave = (params) =>
  post("/listmanager/saveBaoBaoType", params); // 清单管理设置包保责任类型提交
export const getInventoryManagementInspectionItems = (params) =>
  post("/riskcheckitem/itemlistAll", params); // 清单管理检查项列表
export const getInventoryManagementOtherRiskList = (params) =>
  post("/riskcheckitem/list", params); // 清单管理选择其他存在风险列表
export const setInventoryManagementAdd = (params) =>
  post("/listmanager/add", params); // 清单管理新增
export const setInventoryManagementEdit = (params) =>
  post("/listmanager/edit", params); // 清单管理修改
export const getDeleteInventoryManagementList = (params) =>
  post("/stoplistmanager/list", params); // 删除清单管理列表
export const setDeleteInventoryManagementRecovery = (params) =>
  post("/stoplistmanager/restore", params); // 删除清单管理恢复
export const getInventoryTroubleshootingList = (params) =>
  post("/listmanager/checkList", params); // 清单排查列表
export const getInventoryTroubleshootingOtherHiddenList = (params) =>
  post("/hidden/getOtherHidden", params); // 清单排查其它隐患列表
export const getHiddenDangerDatabaseList = (params) =>
  post("/hiddenLibrary/list", params); // 隐患数据库列表
export const setHiddenDangerAdd = (params) => post("/hidden/add", params); // 清单排查其它隐患添加
export const getHiddenDangerView = (params) => post("/hidden/goEdit", params); // 清单排查其它隐患查看
export const setHiddenDangerDelete = (params) => post("/hidden/delete", params); // 清单排查其它隐患删除
export const setHiddenDangerEdit = (params) => post("/hidden/edit", params); // 清单排查其它隐患修改
export const setHiddenDangerListAdd = (params) =>
  post("/hidden/listAdd", params); // 清单排查其它隐患添加
export const setInventoryTroubleshootingSubmit = (params) =>
  post("/checkrecord/add", params); // 清单排查提交
export const getChecklistInspectionStatusList = (params) =>
  post("/listmanager/recordList", params); // 清单检查情况列表
export const getChecklistInspectionStatusRecordList = (params) =>
  post("/checkrecord/list", params); // 清单检查情况检查记录列表
export const setChecklistInspectionStatusRecordDelete = (params) =>
  post("/checkrecord/delete", params); // 清单检查情况检查记录删除
export const setChecklistInspectionStatusRecordSupplementaryRecordingSubmit = (
  params
) => post("/checkrecord/recording", params); // 清单检查情况检查记录补录提交
export const getChecklistInspectionStatusRecordView = (params) =>
  post("/checkrecord/goEdit", params); // 清单检查情况检查记录查看
export const getChecklistInspectionStatusRecordViewOtherHiddenDangerList = (
  params
) => post("/hidden/getCheckHidden", params); // 清单检查情况检查记录查看其它隐患列表
export const getChecklistInspectionStatusRecordMap = (params) =>
  post("/checkrecord/goMap", params); // 清单检查情况检查记录查看地图
export const getInspectionRecordList = (params) =>
  post("/checkrecord/allList", params); // 检查记录管理列表
export const getTroubleshootingPlanList = (params) =>
  post("/listmanager/checkPlan", params); // 排查计划列表
